/*
    QAD - Qt ADvanced

    Ivan Pelipenko peri4ko@yandex.ru, Andrey Bychkov work.a.b@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QPICONFIGNEWDIALOG_H
#define QPICONFIGNEWDIALOG_H

#include "qad_widgets_export.h"

#include <QDialog>


namespace Ui {
class QPIConfigNewDialog;
}

class QRadioButton;


class QAD_WIDGETS_EXPORT QPIConfigNewDialog: public QDialog {
	Q_OBJECT

public:
	QPIConfigNewDialog(QWidget * parent = nullptr);

	QString type();
	QString name();
	QString value();
	QString comment();
	void reset(bool node = false);

protected:
	void changeEvent(QEvent * e) override;

private slots:
	void on_lineName_textChanged(const QString & text);
	void typeChanged();

private:
	Ui::QPIConfigNewDialog * ui;
	QList<QRadioButton *> radios;
};

#endif // QPICONFIGNEWDIALOG_H
